aboutsummaryrefslogtreecommitdiffstats
path: root/testing/dnsenum/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/dnsenum/APKBUILD')
-rw-r--r--testing/dnsenum/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/dnsenum/APKBUILD b/testing/dnsenum/APKBUILD
new file mode 100644
index 0000000000..2b7ac29849
--- /dev/null
+++ b/testing/dnsenum/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=dnsenum
+pkgver=1.2.4.2
+pkgrel=0
+pkgdesc="A tool to enumerate DNS info about domains"
+url="https://github.com/fwaeytens/dnsenum"
+arch="noarch"
+license="GPL2+"
+depends="perl-net-ip perl-net-dns perl-net-netmask perl-xml-writer perl-string-random"
+source="$pkgname-$pkgver.tar.gz::https://github.com/fwaeytens/dnsenum/archive/$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$builddir"
+ install -Dm755 $pkgname.pl "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="03d5961337ef5f4a47aca6d35f345caa dnsenum-1.2.4.2.tar.gz"
+sha256sums="e8a18035a6e00b81430edb4a969ef5043ef39984f3a6b0629b83c8fecf9bf007 dnsenum-1.2.4.2.tar.gz"
+sha512sums="c4ff6c6b6d6be0f60a3c784c259a51d51b6e0b72d1528efb8ed5ad038fd859d5884d13adb272b066f7b381a49b68ec6b507a9a94c2ca5061829051ff3adbc93b dnsenum-1.2.4.2.tar.gz"